Create a new team
curl --request POST \
--url https://core.cyberun.cloud/api/v1/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "My AI Team"
}
'import requests
url = "https://core.cyberun.cloud/api/v1/teams"
payload = { "display_name": "My AI Team" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({display_name: 'My AI Team'})
};
fetch('https://core.cyberun.cloud/api/v1/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "019abc12-3456-7890-abcd-ef1234567890"
}{
"error_message": "resource not found"
}{
"error_message": "resource not found"
}Team
Create a new team
Creates a new team. The authenticated user becomes the owner automatically. A personal team is also created during registration; this endpoint is for creating additional teams.
POST
/
teams
Create a new team
Authorizations
User session JWT (Bearer ). Must be paired with the X-Team-ID
request header on team-scoped endpoints so the server knows which
team's resources to operate on.
Body
application/json
Display name for the new team.
Required string length:
1 - 100Example:
"My AI Team"
Response
Team created
UUID of the created or updated resource.
Example:
"019abc12-3456-7890-abcd-ef1234567890"
⌘I
